• Document Up to Date

Requirements and Supported Platforms

This section describes CrafterCMS requirements and supported platforms.

Requirements

To run CrafterCMS, the following are required:

  • Java 11
  • 8+ Gig of memory to JVM (additional memory may be required depending on the size and number of your web experiences)
  • Git 2.20.1 and later

Please note that CrafterCMS does not require any external databases for the core system to run and deliver fully dynamic experiences. MongoDB is used by Crafter Profile and Crafter Social which are optional components that provide user management and social features.

Supported Platforms

OS (All components)

The following Operating Systems are supported (64Bit only for all OSs)

  • Linux (Ubuntu, RHEL, CentOS)
  • macOS (10.12 and later)
  • Windows via WSL

JVMs (All components)

The following JVMs are supported:

  • OpenJDK 11
  • Oracle JDK (HotSpot) 11

Browsers (Crafter Studio & Crafter Social/Profile Admin Consoles)

The following browsers are supported:

  • Chrome
  • Firefox
  • MS Edge